<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('servicios_diagnostico', function (Blueprint $table) {
            $table->boolean('pei_generado')->default(false)->after('pat_generado');
            $table->boolean('pci_generado')->default(false)->after('ri_generado');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('servicios_diagnostico', function (Blueprint $table) {
            $table->dropColumn(['pei_generado', 'pci_generado']);
        });
    }
};
